const { JSDOM } = require('jsdom')

module.exports = function(content) {
  const notTarget = this.options.target === 'web' ? 'native' : 'web'
  const doc = JSDOM.fragment(content)
  const parts = Object.values(doc.querySelectorAll(`:not([${notTarget}])`))
  return parts.map(el => el.outerHTML).join(' ')
}
